/**
 * author : Serge ROSMORDUC
 * This file is distributed according to the LGPL (GNU lesser public license)
 */
package siteMarchand.dao;

import java.util.ArrayList;
import java.util.List;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import siteMarchand.dto.Article;

/**
 * @author rosmord
 *
 */
public class ArticleDAO {

	public List getArticles() throws ClassNotFoundException, SQLException {
		List result= new ArrayList();
		DBConnexion c= new DBConnexion();
		Connection db= c.getConnection();
		Statement st= db.createStatement();
		ResultSet res= st.executeQuery("select * from Article");
		while (res.next()) {
			int id= res.getInt("idArticle");
			String des= res.getString("designation");
			double prix= res.getDouble("prix");
			Article a= new Article(id,des,prix);
			result.add(a);
		}
		res.close();
		st.close();
		c.close();
		return result;
	}

	/**
	 * @param idArticle
	 * @return
	 */
	public Article getArticle(int idArticle) throws SQLException, ClassNotFoundException {
		Article result= null;
		DBConnexion c= new DBConnexion();
		Connection db= c.getConnection();
		PreparedStatement pst= db.prepareStatement("select * from Article where idArticle= ?");
		pst.setInt(1, idArticle);
		ResultSet res= pst.executeQuery();
		if (res.next()) {
			int id= res.getInt("idArticle");
			String des= res.getString("designation");
			double prix= res.getDouble("prix");
			Article a= new Article(id,des,prix);
			result= a;
		}
		res.close();
		pst.close();
		c.close();
		return result;
	}
}
