/**
 * author : Serge ROSMORDUC
 * This file is distributed according to the LGPL (GNU lesser public license)
 */
package siteMarchand.dto;

import java.util.ArrayList;

/**
 * @author rosmord
 * 
 */
public class Facture {
	private int idFacture;

	private String adresse;

	private ArrayList lignes;

	
	public Facture() {
		adresse= "";
		idFacture= 0;
		lignes= new ArrayList();
	}
	
	public Facture(int idFacture, String adresse) {
		this.adresse = adresse;
		this.idFacture = idFacture;
		lignes = new ArrayList();
	}

	/**
	 * @return Returns the adresse.
	 */
	public String getAdresse() {
		return adresse;
	}

	/**
	 * @param adresse
	 *            The adresse to set.
	 */
	public void setAdresse(String adresse) {
		this.adresse = adresse;
	}

	/**
	 * @return Returns the idFacture.
	 */
	public int getIdFacture() {
		return idFacture;
	}

	/**
	 * @param idFacture
	 *            The idFacture to set.
	 */
	public void setIdFacture(int idFacture) {
		this.idFacture = idFacture;
	}

	/**
	 * @return Returns the lignes.
	 */
	public ArrayList getLignes() {
		return lignes;
	}

	/**
	 * @param lignes
	 *            The lignes to set.
	 */
	public void setLignes(ArrayList lignes) {
		this.lignes = lignes;
	}

	/**
	 * Ajoute un article  la facture.
	 * @param a
	 * @param quantite
	 */
	public void addCommand(Article a, int quantite) {
		boolean found= false;
		for (int i= 0; i< lignes.size(); i++) {
			LigneFacture l= (LigneFacture) lignes.get(i);
			if (l.getArticle().getIdArticle() == a.getIdArticle()) {
				l.setQuantite(l.getQuantite() + quantite);
				found= true;
			}
		}
		if (! found) {
			LigneFacture l= new LigneFacture(a,quantite);
			lignes.add(l);
		}
	}

}
